Bug 60873 - UI: Context sensitive Help <f1> and Help Button missing in 'Tools -> Protect Document -> Sheet' dialog
Summary: UI: Context sensitive Help <f1> and Help Button missing in 'Tools -> Protect ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-15 06:20 UTC by Rainer Bielefeld Retired
Modified: 2016-12-29 10:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-02-15 06:20:41 UTC
Help button in that dialog reaches "Welcome to the LibreOffice Calc Help", to reache the appropriate Help you will have to do additional clicks 'Menus -> Tools -> Protect Document'

I think that's the Help that should be reached, because User so has an overview concerning the alternatives 'Protect Sheet' <-> 'Protect Document'
Comment 1 Rainer Bielefeld Retired 2013-02-15 06:36:58 UTC
in Help 'Protecting Sheet' (what can be reached from Help 'Menus -> Tools -> Protect Document') under heading "Password (optional)" there should be a link to Help 'Password', this link currently is missing.

A fix for this one should be done together with fix for "UI: Context sensitive Help <f1> and Help Button missing in 'Tools -> Protect Document -> Document' dialog"
Comment 2 A (Andy) 2015-02-09 14:04:18 UTC
Tested with LO 4.4.0.3, Win 8.1

Issue 1 (Description):
TOOLS -> PROTECT DOCUMENT -> SHEET
Help button opens a currently not yet existing online help page -> Bug, help page is still missing

Issue 2 (Comment 1):
TOOLS -> PROTECT DOCUMENT -> DOCUMENT
Help button opens the corresponding online help page -> seems ok for me
Comment 3 Olivier Hallot 2016-02-10 00:54:45 UTC
Removed the blocking of bug 80430 because: 1) it is a wikihelp issue and 2) the help pages exist in localhelp
Comment 4 Commit Notification 2016-12-23 08:50:50 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=70274981c0428b95e2868660f7b8d387048ef2ba

tdf#60873 Link Protect Sheet dialog to its own help page